Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface LCVersionRecord

All Superinterfaces:
  java.io.Serializable, VersionRecord

    public interface LCVersionRecord

extends VersionRecord

Represents an LC version record. Users can get information about an LC version from corresponding LC version record.

Method Summary
`java.lang.String` | `getAuthor()` Gets LC author which this version attaches to.
`java.lang.String` | `getAuthorEmail()` Gets LC author email which this version attaches to.
`java.lang.String` | `getBuildinDescription()` Gets LC built in description which this version attaches to.
`java.lang.String` | `getDescription()` Gets LC description which this version attaches to.
`java.lang.String` | `getLc()` Gets LC name which this version attaches to.

Methods inherited from interface jet.server.api.VersionRecord
`getCreatedTime, getCreator, getRealPath, getResourcePath, getVersionID, getVersionName, getVersionNumber`

Method Detail

### getLc

    java.lang.String getLc()

  Gets LC name which this version attaches to.

  Returns:
    LC name.

### getDescription

    java.lang.String getDescription()

  Gets LC description which this version attaches to.

  Returns:
    LC description.

### getAuthor

    java.lang.String getAuthor()

  Gets LC author which this version attaches to.

  Returns:
    LC author.

### getAuthorEmail

    java.lang.String getAuthorEmail()

  Gets LC author email which this version attaches to.

  Returns:
    LC author email.

### getBuildinDescription

    java.lang.String getBuildinDescription()

  Gets LC built in description which this version attaches to.

  Returns:
    LC built in description.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD